[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# TrimRightSet

Remove any trailing characters in a set from a string and returns the result

## Declaration

Source position: strutils.pp line 255

`function TrimRightSet(`
`const S: string;`
`const CSet: TSysCharSet`
`):string;`

## Description

TrimLeftSet performs the same action as RemoveTrailingChars, but returns the resulting string.

## Errors

None.

## See also

TrimRight |  | Trim whitespace from the end of a string.
RemoveLeadingChars |  | Remove any leading characters in a set from a string
RemoveTrailingChars |  | Remove any trailing characters in a set from a string
RemovePadChars |  | Remove any trailing or leading characters in a set from a string
TrimSet |  | Remove any leading or trailing characters in a set from a string and returns the result
TrimLeftSet |  | Remove any leading characters in a set from a string and returns the result